Package org.apache.sling.clam.jcr.internal

## Class DefaultNodeDescendingJcrPropertyDigger

- java.lang.Object
- - org.apache.sling.clam.jcr.internal.DefaultNodeDescendingJcrPropertyDigger

All Implemented Interfaces:
  `NodeDescendingJcrPropertyDigger`

    public class DefaultNodeDescendingJcrPropertyDigger
    extends java.lang.Object
    implements NodeDescendingJcrPropertyDigger

### Constructor Summary

Constructors
`DefaultNodeDescendingJcrPropertyDigger()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dig​(@NotNull javax.jcr.Node node, @NotNull java.util.regex.Pattern pattern, @NotNull java.util.Set<java.lang.Integer> propertyTypes, long maxLength, int maxDepth)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultNodeDescendingJcrPropertyDigger

    public DefaultNodeDescendingJcrPropertyDigger()

### Method Detail

#### dig

    public void dig​(@NotNull
                    @NotNull javax.jcr.Node node,
                    @NotNull
                    @NotNull java.util.regex.Pattern pattern,
                    @NotNull
                    @NotNull java.util.Set<java.lang.Integer> propertyTypes,
                    long maxLength,
                    int maxDepth)
             throws java.lang.Exception

Specified by:
  `dig` in interface `NodeDescendingJcrPropertyDigger`
Throws:
  `java.lang.Exception`